#ifndef ENVIRONMENT_COMMON_DEBUG_H
#define ENVIRONMENT_COMMON_DEBUG_H

#define DEBUG_ENVIRONMENT true
#define DEBUG_CACHE       false
#define DEBUG_DATA        false
#define DEBUG_ENDIANNESS  false
#define DEBUG_QUEUE       false
#define DEBUG_RAMLOCK     false
#define DEBUG_SIM2OS      false
#define DEBUG_TTY         false

#ifdef DEBUG
# define _cout(component, str...)					\
  do									\
    {									\
      if ( DEBUG_ ## component == true )				\
	{								\
	  fprintf(stdout,str);						\
	}								\
    } while(0)
#else
# define _cout(component, str...)					\
  do									\
    {									\
    } while(0)
#endif

#endif
